API Explorer 936 endpoints

Get Roles

GET /obp/v7.0.0/roles

OBPv2.1.0-getRoles No role required Role

Returns all available roles

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (3)
requires_bank_id
role
roles
CanCreateMyUser
Example success response
{
  "roles": [
    {
      "role": "CanCreateBranch",
      "requires_bank_id": true
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv2.1.0 getRoles Originally /obp/v2.1.0/roles